Subject: RE: [Sipping] TISPAN

From: [email-masked]
Date: Thu, 26 May 2005 22:21:15 +0300

Hi,

I also find the text in Chapter 4 about NGN vs. Internet a bit weird.

I don't believe that the SIP architectures/features defined by TISPAN would actually be running in some sort of IP network that is parallel to the Internet. In fact, I believe they would be realized by hosts connected to the Internet as any other SIP services, and the SIP UAs/infras based on TISPAN specs would also need to interwork with other types of SIP UAs/infras, based on IETF specifications. In other words, the situation should be the same as with 3GPP IMS, and in fact TISPAN is building on top of the IMS work.

Miguel Garcia wrote:
> ETSI has strong requirements in terms of compability with the 
> PSTN and interoperability with IMS. I believe ETSI does not have any 
> problem if the Internet adopts the realization of these services, I 
> would actually be very happy if that situation arises.

So to my understanding the word 'Internet' in the above should be replaced by the word 'IETF'.

Otherwise I think the draft is a good start, and the SIP change process should guide the discussions in SIPPING.

Markus

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of ext Miguel Garcia
> Sent: 26 May, 2005 14:21
> To: Dale Worley
> Cc: Sipping (E-mail)
> Subject: Re: [Sipping] TISPAN
> 
> 
> Inline discussion.
> 
> et Dale Worley wrote:
> 
> > After a first read of 
> draft-jesske-sipping-tispan-requirements, a few points
> > come to mind.
> > 
> > The biggest is that the specific facilities and requirements of each
> > simulation service are not spelled out in detail.  And yet, 
> those details
> > will be critical in constraining what technological 
> solutions are possible.
> > I expect that in the telecom universe, everybody knows 
> exactly what is
> > acceptable as a, for example, "terminating indication 
> presentation service",
> > but the IP community is unaware of this.  A fuller 
> exposition will help the
> > discussion advance faster, and avoid IP people proposing 
> solutions that are
> > not acceptable.
> 
> I agree with this point, we need to provide further 
> discussion of each 
> of these services.
> 
> > 
> > You may want to clarify the context in which you expect 
> these services to be
> > used.  Section 4 contains the sentence "The requirements in 
> this document
> > are intended to result in a mechanism with general 
> applicability for the NGN
> > TISPAN and NOT on the Internet.", which suggests that you 
> are not expecting
> > these services to be used anywhere SIP is now used.  If 
> that is so, why are
> > you floating this proposal in front of the IETF?
> 
> Well, ETSI is defining those services for usage in the 
> context of Next 
> Generation Networks that are built on top of the IP 
> Multimedia Subsystem 
>   (IMS). ETSI has strong requirements in terms of compability 
> with the 
> PSTN and interoperability with IMS. I believe ETSI does not have any 
> problem if the Internet adopts the realization of these services, I 
> would actually be very happy if that situation arises. But 
> you must be 
> aware that we are following an architectural model (the IMS) that 
> perhaps the general Internet does not want to exactly follow.
> 
> All these factors make us think that the general Internet 
> might not have 
> interest in this work.... but if it has, welcome, we are not 
> precluding 
> usage.
> 
> > 
> > Section 5 states "This document does not have any 
> implications for IANA.",
> > and yet you define (or refer to) two new event packages, "cbbs" and
> > "mcid-request-info".  According to RFC 3265 Section 6, 
> event package names
> > must be registered with IANA, so these event packages do have IANA
> > implications, as does your document.
> 
> The document, as is, does not have any action to IANA because it does 
> not define anything, it is just a collection of requirements and 
> potential solutions. If these solutions are considered to be on the 
> right track, there will be event packages definitions or whatever it 
> comes. These documents will have actions to IANA.
> 
> > 
> > Best regards,
> > 
> > Dale
> > 
> > 
> 
> Regards,
> 
>          Miguel
> 
> 
> > _______________________________________________
> > Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> > This list is for NEW development of the application of SIP
> > Use [email-masked] for questions on current sip
> > Use [email-masked] for new developments of core SIP
> > 
> 
> -- 
> Miguel A. Garcia           tel:+358-50-4804586
> sip:[email-masked]
> Nokia Research Center      Helsinki, Finland
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Banibrata Dutta" <[email-masked]>
Date: Fri, 27 May 2005 11:52:13 +0530

Hi,

In my opinion the terminology used in the original draft is something of a
"slang" used by the traditional-"Telephony"-folks, i.e. the telecom
network/service operators, equipment vendors etc. I feel that many (if not
most) readers of this mail already know this but still stating for the sake
of understanding by the ppl who don't. It is a well formed view that there
are 2 types of networks --
+ Private networks (IP, ATM, FR etc.)
+ Public networks (mostly IP)

Telecom world has primarily been exposed only to the "Private networks"
until a few years back, and *never* used the "Public-networks" for carrying
any voice (or data -- unless it's for access purposes, s.a. dialup internet
access, thru an Access-Server). The likes of Net2Phone, Skype,
Yahoo-VoiceChat, MS-Netmeeting are the alternative to the traditional
telephony, and these purely use "Public-networks" (unless of course you
choose to use them on your private-LAN or WAN, e.g. enterprise networks).

So the traditional-telephony folks use the term "Internet" to loosely refer
to "Public IP network", so it is indeed true that for actual voice back-haul
an operator (or a conglomerate of operators') shall use private networks
(IP, or IPoATM) and finally call it VoIP. Since the submitted draft is an
IETF draft, so obviously one needs to use the correct & precise terms
prevelant in the IETF domain (i.e. non traditional-telephony language).

Don't know if you've ever heard of terms like "NetHeads" & "BellHeads" which
actually is an informal reference to ppl. who undertand/work-on
IT/public-internet stuff well but not necessarily the traditional-telephony,
and BellHeads are just the opposite.

I feel that since there is going to be a lot of "Cross-references" (is so in
present -- look at any 3GPP IMS document and shall continue to be so in
future) between the IETF documents and documents published by the
traditional-telephony Standardization bodies, a separate Informational-RFC
may be a good idea which provides a 1-1 mapping of ideas, terms and concepts
from both worlds! This cross-reference shall obviate the need for lengthy
copy-paste explanations (from Telecom docs in IETF docs, and vice-versa). 

Probably I am preaching to the converted, but I thought it's worth writing
it down so we could have ideas, and ppl who are not very telecom-aware can
help from this.

my 2 cents,
Banibrata Dutta
Hewlett-Packard ISO.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of [email-masked]
Sent: Friday, May 27, 2005 12:51 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: [Sipping] TISPAN

Hi,

I don't believe that the SIP architectures/features defined by TISPAN would
actually be running in some sort of IP network that is parallel to the
Internet. In fact, I believe they would be realized by hosts connected to
the Internet as any other SIP services, and the SIP UAs/infras based on
TISPAN specs would also need to interwork with other types of SIP
UAs/infras, based on IETF specifications. In other words, the situation
should be the same as with 3GPP IMS, and in fact TISPAN is building on top
of the IMS work.

Miguel Garcia wrote:
> ETSI has strong requirements in terms of compability with the PSTN and 
> interoperability with IMS. I believe ETSI does not have any problem if 
> the Internet adopts the realization of these services, I would 
> actually be very happy if that situation arises.

So to my understanding the word 'Internet' in the above should be replaced
by the word 'IETF'.

Otherwise I think the draft is a good start, and the SIP change process
should guide the discussions in SIPPING.

Markus

> I agree with this point, we need to provide further discussion of each 
> of these services.
> 
> > 
> Well, ETSI is defining those services for usage in the context of Next 
> Generation Networks that are built on top of the IP Multimedia 
> Subsystem
>   (IMS). ETSI has strong requirements in terms of compability with the 
> would actually be very happy if that situation arises. But you must be 
> All these factors make us think that the general Internet might not 
> have interest in this work.... but if it has, welcome, we are not 
> precluding usage.
> 
> > 
> > This list is for NEW development of the application of SIP Use 
> > [email-masked] for questions on current sip Use 
> > [email-masked] for new developments of core SIP
> > 
> 
> -- 
> This list is for NEW development of the application of SIP Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP Use
[email-masked] for questions on current sip Use
[email-masked] for new developments of core SIP